﻿Imports System.Drawing.Imaging

Public Class Form1
    Private Sub mnuFileExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuFileExit.Click
        Close()
    End Sub

    ' Open a WMF file.
    Private Sub mnuFileOpen_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuFileOpen.Click
        If (ofdWmfFile.ShowDialog() = DialogResult.OK) Then
            picImage.Image = New Bitmap(ofdWmfFile.FileName)
            mnuFileSaveAs.Enabled = True

            ClientSize = New Size( _
                picImage.Right + picImage.Left, _
                picImage.Bottom + picImage.Left)
        End If
    End Sub

    ' Save the image as a PNG file.
    Private Sub mnuFileSaveAs_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuFileSaveAs.Click
        If (sfdPngFile.ShowDialog() = DialogResult.OK) Then
            Dim bm As Bitmap = DirectCast(picImage.Image, Bitmap)
            bm.Save(sfdPngFile.FileName, ImageFormat.Png)
        End If
    End Sub
End Class
